# Generate a Data Export

Generates an export. Use the data set key and each column key that you want to be included in your export. The values need to be properly formatted JSON, which means you may need to escape special characters. If no column keys are provided, the export will fail and return a 422 response.

Example
The following example creates a new export containing all the non-custom field columns for the User dataset created during October 2023.


curl -i -X POST 'https://api.mavenlink.com/api/v1/exports' -H 'Content-Type: application/json' -d '{
  "export": {
    "export_definition": {
      "8ebff9db413b3115": {
        "columns": [
          "4eb02f5e2601433d",
          "b02d7f145ad95122",
          "2bfa2c20999efe62",
          "96cb337e5007738b",
          "27e2565ae34ed9eb",
          "d5111608cc214c2a",
          "e59d1cb61256a8cf",
          "77bfd7e48d5ff668",
          "23ca4c0d7b289c5f",
          "7172de0607dcb1ef"
        ],
        "filters": {
          "start_date": "2023-10-01",
          "end_date": "2023-10-31"
        }
      }
    }
  }
}'



This endpoint returns structured Data Export objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the exports top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /exports
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- user (User) - The user who generated the export.

## Request fields (application/json):

  - `export` (object)

  - `export.export_definition` (object, required)

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `exports` (object)

  - `users` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


